/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.common;

import java.util.Date;

import jp.terasoluna.fw.file.annotation.FileFormat;
import jp.terasoluna.fw.file.annotation.InputFileColumn;
import jp.terasoluna.fw.file.annotation.OutputFileColumn;

/**
 * 入出金情報のパラメータクラス。
 */
@FileFormat(overWriteFlg=true, headerLineCount=3, trailerLineCount=2)
public class NyusyukkinData {

    /**
     * 取引ID
     */
    @InputFileColumn(columnIndex = 0)
    @OutputFileColumn(columnIndex = 0)
    private int id;
   
    /**
     * 入出金コード
     */
    @InputFileColumn(columnIndex = 1)
    @OutputFileColumn(columnIndex = 1)
    private int nyusyukkincd;
    
    /**
     * 取引コード
     */
    @InputFileColumn(columnIndex = 2)
    @OutputFileColumn(columnIndex = 2)
    private int torihikicd;
    
    /**
     * 支店コード
     */
    private String sitencd;
    
    /**
     * 顧客コード
     */
    @InputFileColumn(columnIndex = 3)
    @OutputFileColumn(columnIndex = 3)
    private String kokyakucd;
    
    /**
     * 取引金額
     */
    @InputFileColumn(columnIndex = 4)
    @OutputFileColumn(columnIndex = 4)
    private int kingaku;
    
    /**
     * 取引日
     */
    @InputFileColumn(columnIndex = 5, columnFormat="yyyyMMdd")
    @OutputFileColumn(columnIndex = 5)
    private Date torihikibi;
    
    /**
     * 取引IDを返却する。
     * @return ID
     */
    public int getId() {
        return id;
    }
    
    /**
     * 取引IDを設定する。
     * @param id 設定するID
     */
    public void setId(int id) {
        this.id = id;
    }
    
    /**
     * 入出金コードを返却する。
     * @return 入出金コード
     */
    public int getNyusyukkincd() {
        return nyusyukkincd;
    }
    
    /**
     * 入出金コードを設定する。
     * @param nyusyukkincd 入出金コード
     */
    public void setNyusyukkincd(int nyusyukkincd) {
        this.nyusyukkincd = nyusyukkincd;
    }
    
    /**
     * 取引コードを返却する。
     * @return 取引コード
     */
    public int getTorihikicd() {
        return torihikicd;
    }
    
    /**
     * 取引コードを設定する。
     * @param torihikicd 取引コード
     */
    public void setTorihikicd(int torihikicd) {
        this.torihikicd = torihikicd;
    }
    
    /**
     * 支店コードを返却する。
     * @return 支店コード
     */
    public String getSitencd() {
        return sitencd;
    }
    
    /**
     * 支店コードを設定する。
     * @param sitencd 設定する支店コード
     */
    public void setSitencd(String sitencd) {
        this.sitencd = sitencd;
    }
 
    
    /**
     * 顧客コードを返却する。
     * @return 顧客コード
     */
    public String getKokyakucd() {
        return kokyakucd;
    }
    
    /**
     * 顧客コードを設定する。
     * @param kokyakucd 設定する顧客コード
     */
    public void setKokyakucd(String kokyakucd) {
        this.kokyakucd = kokyakucd;
    }
    
    /**
     * 取引金額を返却する。
     * @return 取引金額
     */
    public int getKingaku() {
        return kingaku;
    }
    
    /**
     * 取引金額を設定する。
     * @param kingaku 設定する取引金額
     */
    public void setKingaku(int kingaku) {
        this.kingaku = kingaku;
    }
    
    /**
     * 取引日を返却する。
     * @return 取引日
     */
    public Date getTorihikibi() {
        return torihikibi;
    }
    
    /**
     * 取引日を設定する。
     * @param torihikibi 取引日
     */
    public void setTorihikibi(Date torihikibi) {
        this.torihikibi = torihikibi;
    }
}
